/// <reference types="react" />
import { ScrollStyleProps } from './Tabs.types';
export declare const scrollStyles: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<ScrollStyleProps, import("styled-components").DefaultTheme>>;
export declare const StyledSeparator: import("styled-components").StyledComponent<import("../../Atoms/Separator/Separator.types").SeparatorComponent, import("styled-components").DefaultTheme, {}, never>;
export declare const StyledFlexbox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: import("react").ReactNode;
    as?: any;
} & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, ScrollStyleProps, never>;
export declare const StyledButton: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLButtonElement>>, import("styled-components").DefaultTheme, {
    $active?: boolean | undefined;
}, never>;
export declare const StyledUl: import("styled-components").StyledComponent<"ul", import("styled-components").DefaultTheme, {}, never>;
